package info.bukova.isspst.services.fulltext;

import org.apache.poi.POIXMLTextExtractor;
import org.apache.poi.xslf.extractor.XSLFPowerPointExtractor;
import org.apache.poi.xslf.usermodel.XMLSlideShow;

import java.io.IOException;
import java.io.InputStream;

/**
 * @author Pepa Rokos
 */
public class PowerPointExtractor extends AbstractOfficeExtractor implements Extractor {

	@Override
	protected POIXMLTextExtractor createExtractor(InputStream is) throws IOException {
		return new XSLFPowerPointExtractor(new XMLSlideShow(is));
	}

}
